pcl::ColorModality< PointInT >::Candidate Struct Reference

`#include <pcl/recognition/color_modality.h>`

## Public Member Functions

bool | operator< (const Candidate &rhs)

## Public Attributes

float | distance
unsigned char | bin_index
std::size_t | x
std::size_t | y

## Detailed Description

### template<typename PointInT>
struct pcl::ColorModality< PointInT >::Candidate

Definition at line 61 of file color_modality.h.

## Member Function Documentation

## operator<()

template<typename PointInT >

bool pcl::ColorModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) |

inline

Definition at line 71 of file color_modality.h.

References pcl::ColorModality< PointInT >::Candidate::distance.

## Member Data Documentation

## bin_index

template<typename PointInT >

unsigned char pcl::ColorModality< PointInT >::Candidate::bin_index

Definition at line 65 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

## distance

template<typename PointInT >

float pcl::ColorModality< PointInT >::Candidate::distance

Definition at line 63 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures(), and pcl::ColorModality< PointInT >::Candidate::operator<().

## x

template<typename PointInT >

std::size_t pcl::ColorModality< PointInT >::Candidate::x

Definition at line 67 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

## y

template<typename PointInT >

std::size_t pcl::ColorModality< PointInT >::Candidate::y

Definition at line 68 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

The documentation for this struct was generated from the following file:

- pcl/recognition/color_modality.h